/************************************************************************/
/* File name    : source.c                                              */
/* Description  : The template sorce code for F3RP71                    */
/************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/msg.h>
#include <float.h>

#include "m3lib.h" /* for e-RT3 library function */


int main(int argc, char *argv[])
{

	unsigned short x01_port[1];	/* AL1122につながっているO5D150読取データ */
	unsigned long spot1[2];			/* Sopt1演算用 */
	float spot1_temp[1];		/* Sopt1演算後温度データ */
	unsigned short temp1;

	/* EIP通信開始 */
	writeM3OutRelayP(0, 3, 33, 1);

	/* RUN LED ON */
	setM3RunLed(1);

	while(1)
	{
		/* AL1122 X01ポート読出し */
		readM3LinkRegister(96, 1, x01_port);	/* O5D150読取生データ */
		x01_port[0] = x01_port[0] >> 4;			/* 不要な下位4bitシフト */
		writeM3InternalRegister(1, 1, x01_port);/* RP71のDレジスタにデータを書込む */

		usleep(500000);	/* 500ms wait */

	}
}
